Update flow mappings for a specific consumer
curl --request PATCH \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"values": [
{
"source_id": "<string>",
"target_id": "<string>"
}
],
"hidden_source_ids": [
"<string>"
],
"sub_mapping_name": "<string>",
"description": "<string>",
"display_order": 0,
"challenge_question": "<string>",
"conditions": {},
"sub_mapping_description": "<string>"
}
]
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}"
payload = [
{
"name": "<string>",
"values": [
{
"source_id": "<string>",
"target_id": "<string>"
}
],
"hidden_source_ids": ["<string>"],
"sub_mapping_name": "<string>",
"description": "<string>",
"display_order": 0,
"challenge_question": "<string>",
"conditions": {},
"sub_mapping_description": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
values: [{source_id: '<string>', target_id: '<string>'}],
hidden_source_ids: ['<string>'],
sub_mapping_name: '<string>',
description: '<string>',
display_order: 0,
challenge_question: '<string>',
conditions: {},
sub_mapping_description: '<string>'
}
])
};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "The flow is not yet activated for this consumer",
"status": "error"
}{
"message": "The body should be a list",
"status": "error"
}Syncs
Update flow mappings for a specific consumer
Route that can be used to update the flow mappings for a specific consumer. It will replace the existing configuration with the provided one.
PATCH
/
consumers
/
{consumer_id}
/
syncs
/
{syncid}
Update flow mappings for a specific consumer
Authorizations
This access token needs to be included in each of your request to the Chift API.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
⌘I